# Uses of Class
javax.management.Attribute

Packages that use Attribute
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of Attribute in javax.management

Methods in javax.management that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeList.`asList()`
Return a view of this list as a `List<Attribute>`.
Methods in javax.management with parameters of type Attribute
Modifier and Type
Method
Description
`void`
AttributeList.`add(int index, Attribute object)`
Inserts the attribute specified as an element at the position specified.
`void`
AttributeList.`add(Attribute object)`
Adds the `Attribute` specified as the last element of the list.
`void`
AttributeList.`set(int index, Attribute object)`
Sets the element at the position specified to be the attribute specified.
`void`
DynamicMBean.`setAttribute(Attribute attribute)`
Set the value of a specific attribute of the Dynamic MBean.
`void`
MBeanServer.`setAttribute(ObjectName name, Attribute attribute)`
`void`
MBeanServerConnection.`setAttribute(ObjectName name, Attribute attribute)`
Sets the value of a specific attribute of a named MBean.
`void`
StandardMBean.`setAttribute(Attribute attribute)`
Constructor parameters in javax.management with type arguments of type Attribute
Modifier
Constructor
Description
``
`AttributeList(List<Attribute> list)`
Constructs an `AttributeList` containing the elements of the `List` specified, in the order in which they are returned by the `List`'s iterator.

## Uses of Attribute in javax.management.modelmbean

Methods in javax.management.modelmbean with parameters of type Attribute
Modifier and Type
Method
Description
`void`
ModelMBeanNotificationBroadcaster.`sendAttributeChangeNotification(Attribute oldValue, Attribute newValue)`
Sends an attributeChangeNotification which contains the old value and new value for the attribute to the registered AttributeChangeNotification listeners on the ModelMBean.
`void`
RequiredModelMBean.`sendAttributeChangeNotification(Attribute inOldVal, Attribute inNewVal)`
`void`
RequiredModelMBean.`setAttribute(Attribute attribute)`
Sets the value of a specific attribute of a named ModelMBean.